Class | Prawn::Font
In: | lib/prawn/font.rb lib/prawn/font/afm.rb lib/prawn/font/dfont.rb lib/prawn/font/ttf.rb
Parent: | Object

Provides font information and helper functions.

### Methods

add_to_current_page ascender descender height height_at line_gap load normalize_encoding normalize_encoding!

### Classes and Modules

Class Prawn::Font::AFM
Class Prawn::Font::DFont
Class Prawn::Font::TTF

### Attributes

family | [R] | The current font family
name | [R] | The current font name
options | [R] | The options hash used to initialize the font

### Public Class methods

load(document,name,options={})

Shortcut interface for constructing a font object. Filenames of the form *.ttf will call Font::TTF.new, *.dfont Font::DFont.new, and anything else will be passed through to Font::AFM.new()

### Public Instance methods

add_to_current_page(subset)

Registers the given subset of the current font with the current PDF page. This is safe to call multiple times for a given font and subset, as it will only add the font the first time it is called.

ascender()

The size of the font ascender in PDF points

descender()

The size of the font descender in PDF points

height()

Gets height of current font in PDF points at current font size

height_at(size)

Gets height of current font in PDF points at the given font size

line_gap()

The size of the recommended gap between lines of text in PDF points

normalize_encoding(string)

Normalizes the encoding of the string to an encoding supported by the font. The string is expected to be UTF-8 going in. It will be re-encoded and the new string will be returned. For an in-place (destructive) version, see normalize_encoding!.

normalize_encoding!(str)

Destructive version of normalize_encoding; normalizes the encoding of a string in place.

[Validate]